Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common
Class RegisterActionHelper

    java.lang.Object
      de.jsystems.framework.common.RegisterActionHelper

class RegisterActionHelper
extends Object

Diese Klasse enthaelt allgemeine Funktionen, die benötigt werden, um die Actions fuer Controls zu registrieren.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`(package private)` | `RegisterActionHelper()`

Method Summary
`(package private) static void` | `registerControlAction(ActionManager actionManager, Controller controller, BusinessView view, IActionInterface control)` Registriert alle Actions des uebergebenen Controls beim ActionManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisterActionHelper

    RegisterActionHelper()

Method Detail

### registerControlAction

    static void registerControlAction(ActionManager actionManager,
                                      Controller controller,
                                      BusinessView view,
                                      IActionInterface control)
                               throws CreateActionException

  Registriert alle Actions des uebergebenen Controls beim ActionManager. Dabei wird das Control nach den Klassennamen fuer die Actions gefragt. Wenn diese gesetzt sind, so wird die entsprechende Action an den ActionManager uebergeben und die Action selbst als Listener am Control registriert.

  Parameters:
    `actionManager` - Der ActionManager fuer die Actions.
    `controller` - Der Controller, dem die View und der ActionManager gehoeren.
    `view` - Die View auf der sich das Control befindet.
    `control` - Das Control, dessen Actions registriert werden sollen.
  Throws:
    `CreateActionException` - wen beim erzeugen der Action ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD